View Issue Details

IDProjectCategoryView StatusLast Update
17096Bug reportsTheme editorpublic2021-03-08 19:33
ReporterdavidBDI Assigned Toollehar  
PrioritynoneSeverityblock 
Status closedResolutionfixed 
Product Version4.4.4 
Fixed in Version4.4.12 
Summary17096: Configuration => themes => error 500
Descriptionimpossible to reach the theme editor
Steps To Reproducego to "configuration" menu then go to "Themes" menu
TagsNo tags attached.
Complete LimeSurvey version number (& build) 4.4.7+210215
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Version5.6.44
Server OS (if known)
Webserver software & version (if known)Apache
PHP Version 7.2.17

Activities

davidBDI

davidBDI

2021-02-15 14:31

reporter  

bugLS.PNG (34,320 bytes)   
bugLS.PNG (34,320 bytes)   
davidBDI

davidBDI

2021-02-15 14:34

reporter   ~62249

je viens de voir que ce bug était censé être corrigé dans la version précédente :

-Fixed issue 17061: Themes editor cannot be opened (eddylackmann)
ollehar

ollehar

2021-02-15 17:13

administrator   ~62257

Is this a new install or an update?
davidBDI

davidBDI

2021-02-15 17:46

reporter   ~62258

it's an update from 4.4.6 build 210214
ollehar

ollehar

2021-02-15 17:47

administrator   ~62259

Using ComfortUpdate?
davidBDI

davidBDI

2021-02-15 17:52

reporter   ~62260

yes
ollehar

ollehar

2021-02-15 17:54

administrator   ~62261

Alright, we'll try to solve this tomorrow. You can probably patch it yourself, if you have the patience. The missing file can be added manually.
davidBDI

davidBDI

2021-02-15 18:03

reporter   ~62262

Can you tell me which file I should put in which place? No problem to try to do it in the meantime...
ollehar

ollehar

2021-02-15 18:10

administrator   ~62263

I think this one: application/views/themeOptions/installedthemes.php
davidBDI

davidBDI

2021-02-15 18:13

reporter   ~62264

ok, i've add installedthemelist.php and installedtheme.php
It's working again!
thank you for your reactivity
c_schmitz

c_schmitz

2021-02-16 09:59

administrator   ~62274

This will be resolved for good in the next release.

Issue History

Date Modified Username Field Change
2021-02-15 14:31 davidBDI New Issue
2021-02-15 14:31 davidBDI File Added: bugLS.PNG
2021-02-15 14:34 davidBDI Note Added: 62249
2021-02-15 17:11 ollehar Product Version => 4.4.4
2021-02-15 17:13 ollehar Note Added: 62257
2021-02-15 17:13 ollehar Assigned To => ollehar
2021-02-15 17:13 ollehar Status new => feedback
2021-02-15 17:46 davidBDI Note Added: 62258
2021-02-15 17:46 davidBDI Status feedback => assigned
2021-02-15 17:47 ollehar Note Added: 62259
2021-02-15 17:52 davidBDI Note Added: 62260
2021-02-15 17:54 ollehar Note Added: 62261
2021-02-15 18:03 davidBDI Note Added: 62262
2021-02-15 18:10 ollehar Note Added: 62263
2021-02-15 18:13 davidBDI Note Added: 62264
2021-02-16 09:59 c_schmitz Status assigned => resolved
2021-02-16 09:59 c_schmitz Resolution open => fixed
2021-02-16 09:59 c_schmitz Note Added: 62274
2021-03-08 19:31 c_schmitz Fixed in Version => 4.4.12
2021-03-08 19:33 c_schmitz Status resolved => closed